import { GroupLayer } from './';
import { Page, Browser } from 'puppeteer';
import { CreateOptions } from '../../model/interface';
export declare class Profile extends GroupLayer {
    page: Page;
    browser: Browser;
    options: CreateOptions;
    ev: any;
    constructor(page: Page, browser: Browser, options: CreateOptions, ev: any);
    /**
     * Logout of the current session
     */
    logoutSession(): Promise<any>;
    /**
     * Closes page and browser
     */
    browserClose(): Promise<boolean | undefined>;
}
