"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OnMode = exports.OnModeListener = void 0;
var OnModeListener;
(function (OnModeListener) {
    /**
     * receive which interface the user is on!
     */
    OnModeListener["interfaceChange"] = "interfaceChange";
    /**
     * monitor new messages
     */
    OnModeListener["newMessage"] = "newMessage";
    /**
     * monitor the status of a message
     */
    OnModeListener["newOnAck"] = "newOnAck";
    /**
     * Receive new messages edited
     */
    OnModeListener["newEditMessage"] = "newEditMessage";
    /**
     * Receive new messages deleted
     */
    OnModeListener["newDeleteMessage"] = "newDeleteMessage";
    /**
     * Receive new messagens reactions emoji
     */
    OnModeListener["onReactionMessage"] = "onReactionMessage";
    /**
     * Receive new message intro reactions emoji (It is triggered upon entering the chat, loading all available emojis. It is also triggered when a new emoji is sent in any chat)
     */
    OnModeListener["onIntroReactionMessage"] = "onIntroReactionMessage";
})(OnModeListener = exports.OnModeListener || (exports.OnModeListener = {}));
var OnMode;
(function (OnMode) {
    /**
     * receive QRCODE updates
     */
    OnMode["qrcode"] = "qrcode";
    /**
     * user connection information
     */
    OnMode["connection"] = "connection";
    /**
     * receive code phone number
     */
    OnMode["codePhoneNumber"] = "codePhoneNumber";
})(OnMode = exports.OnMode || (exports.OnMode = {}));
